> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774829655.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Query unexecuted(active) orders

> The endpoint retrieves [active orders](/glossary#active-orders) (orders not yet executed).

<Warning>
Rate limit: 12000 requests/10 sec.
</Warning>

<Note>
Search across all markets is available only if client_order_id and order_id are not provided.
</Note>

<Accordion title="Errors">
```json
{
  "code": 31,
  "message": "Validation failed",
  "errors": {
    "market": ["Market is not available"]
  }
}
```

```json
{
  "code": 30,
  "message": "Validation failed",
  "errors": {
    "limit": ["The limit may not be greater than 100."],
    "offset": ["The offset may not be greater than 10000."]
  }
}
```
</Accordion>




## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/orders
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/orders:
    post:
      tags:
        - Spot Trading
      summary: Query unexecuted(active) orders
      description: >
        The endpoint retrieves [active orders](/glossary#active-orders) (orders
        not yet executed).


        <Warning>

        Rate limit: 12000 requests/10 sec.

        </Warning>


        <Note>

        Search across all markets is available only if client_order_id and
        order_id are not provided.

        </Note>


        <Accordion title="Errors">

        ```json

        {
          "code": 31,
          "message": "Validation failed",
          "errors": {
            "market": ["Market is not available"]
          }
        }

        ```


        ```json

        {
          "code": 30,
          "message": "Validation failed",
          "errors": {
            "limit": ["The limit may not be greater than 100."],
            "offset": ["The offset may not be greater than 10000."]
          }
        }

        ```

        </Accordion>
      operationId: getActiveOrders
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                market:
                  type: string
                  description: 'Available [market](/glossary#market). Example: BTC_USDT'
                  example: BTC_USDT
                order_id:
                  type: integer
                  description: 'Available order_id. Example: 3134995325'
                  example: 3134995325
                client_order_id:
                  type: string
                  description: 'Available client_order_id. Example: customId11'
                  example: customId11
                offset:
                  type: integer
                  default: 0
                  description: 'Starting line index (OFFSET). Default: 0, Min: 0'
                  example: 0
                limit:
                  type: integer
                  default: 50
                  maximum: 100
                  description: >-
                    LIMIT is a special clause used to limit records a particular
                    query can return. Default: 50, Min: 1, Max: 100
                  example: 50
                request:
                  type: string
                  example: '{{request}}'
                nonce:
                  type: string
                  example: '{{nonce}}'
      responses:
        '200':
          description: List of active orders
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrderResponse'
        '400':
          description: Inner validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service temporarily unavailable
      security:
        - ApiKeyAuth: []
components:
  schemas:
    OrderResponse:
      type: object
      properties:
        order_id:
          type: integer
          description: Order ID
          example: 4180284841
        client_order_id:
          type: string
          description: Custom client order ID; empty string if not specified
          example: order1987111
        market:
          type: string
          description: Deal market
          example: BTC_USDT
        side:
          type: string
          description: Order side
          example: buy
        type:
          type: string
          description: Order type
          example: limit
        timestamp:
          type: number
          description: Timestamp of order creation
          example: 1595792396.165973
        deal_money:
          type: string
          description: If order finished - amount in money currency that is finished
          example: '0'
        deal_stock:
          type: string
          description: If order finished - amount in stock currency that is finished
          example: '0'
        amount:
          type: string
          description: Amount
          example: '0.01'
        left:
          type: string
          description: If order not finished - rest of the amount that must be finished
          example: '0.001'
        deal_fee:
          type: string
          description: Fee in money currency when order is filled
          example: '0'
        price:
          type: string
          description: Price
          example: '40000'
        postOnly:
          type: boolean
          description: PostOnly flag
          example: false
        ioc:
          type: boolean
          description: IOC flag
          example: false
        status:
          type: string
          description: Order status
          example: FILLED
        stp:
          type: string
          description: Self trade prevention mode
          example: 'no'
        positionSide:
          type: string
          description: Position side (for collateral orders)
          example: LONG
        rpi:
          type: boolean
          description: Indicates Retail Price Improvement (RPI) mode for the order.
          example: true
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: |
        API Key authentication for private endpoints.

        Required headers:
        - X-TXC-APIKEY: API key
        - X-TXC-PAYLOAD: Base64 encoded JSON payload
        - X-TXC-SIGNATURE: HMAC SHA512 signature

````